/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-01-05
 * 描述            ：null
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.TcpElectricitrcollectMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

// 改了采集表，所以需要由 TCP_ELECTRICITRCOLLECT 改成 TCP_ELECTRICITRCOLLECT2：20230629刘侣
@Table(name="TCP_ELECTRICITRCOLLECT2", namespace=TcpElectricitrcollectMapper.class)
public class TcpElectricitrcollect extends BaseVO implements Serializable {
	
	
	private String mch_code;
	
	public String getMch_code() {
		return mch_code;
	}
	public void setMch_code(String mch_code) {
		this.mch_code = mch_code;
	}

	private String wrk_date;//日期
	private String client_name;//变电站
	private String pn_name;//电表
	private String kvarh_last;//上期数(kwh)
	//private String kvarh_all;//抄表数(kwh)
	private String  kvarh_all_last;//电耗(kwh)
	private String month_kvarh_all;//
	private String meter_no;//表号
	private String memo;//柜号
	private String address;//地点
	private Double coefficient;//倍率
	public Double getCoefficient() {
		return this.coefficient;
	}
	public void setCoefficient(Double coefficient) {
		this.coefficient = coefficient;
	}
	
	
	public String getWrk_date() {
		return wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}
	public String getClient_name() {
		return client_name;
	}
	public void setClient_name(String client_name) {
		this.client_name = client_name;
	}
	public String getPn_name() {
		return pn_name;
	}
	public void setPn_name(String pn_name) {
		this.pn_name = pn_name;
	}
	public String getKvarh_last() {
		return kvarh_last;
	}
	public void setKvarh_last(String kvarh_last) {
		this.kvarh_last = kvarh_last;
	}
	public String getKvarh_all_last() {
		return kvarh_all_last;
	}
	public void setKvarh_all_last(String kvarh_all_last) {
		this.kvarh_all_last = kvarh_all_last;
	}
	public String getMonth_kvarh_all() {
		return month_kvarh_all;
	}
	public void setMonth_kvarh_all(String month_kvarh_all) {
		this.month_kvarh_all = month_kvarh_all;
	}

	private String clienttime_desc;
	
	public String getClienttime_desc() {
		return clienttime_desc;
	}
	public void setClienttime_desc(String clienttime_desc) {
		this.clienttime_desc = clienttime_desc;
	}

	private String chn_desc;
	private String chn_desc_client;
	
	public String getChn_desc() {
		return chn_desc;
	}
	public void setChn_desc(String chn_desc) {
		this.chn_desc = chn_desc;
	}
	public String getChn_desc_client() {
		return chn_desc_client;
	}
	public void setChn_desc_client(String chn_desc_client) {
		this.chn_desc_client = chn_desc_client;
	}

	/** 
	 * 终端名
	 */ 
	@Column
	private String e_client_no;
	public String getE_client_no() {
		return this.e_client_no;
	}
	public void setE_client_no(String e_client_no) {
		this.e_client_no = e_client_no;
	}

	/** 
	 * 抄表时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date clienttime;
	public Date getClienttime() {
		return this.clienttime;
	}
	public void setClienttime(Date clienttime) {
		this.clienttime = clienttime;
	}

	/** 
	 * 总电表数
	 */ 
	@Column
	private String kvarh_all;
	public String getKvarh_all() {
		return this.kvarh_all;
	}
	public void setKvarh_all(String kvarh_all) {
		this.kvarh_all = kvarh_all;
	}

	/** 
	 * 费率一电数
	 */ 
	@Column
	private String m1;
	public String getM1() {
		return this.m1;
	}
	public void setM1(String m1) {
		this.m1 = m1;
	}

	/** 
	 * null
	 */ 
	@Column
	private String m2;
	public String getM2() {
		return this.m2;
	}
	public void setM2(String m2) {
		this.m2 = m2;
	}

	/** 
	 * null
	 */ 
	@Column
	private String m3;
	public String getM3() {
		return this.m3;
	}
	public void setM3(String m3) {
		this.m3 = m3;
	}

	/** 
	 * null
	 */ 
	@Column
	private String m4;
	public String getM4() {
		return this.m4;
	}
	public void setM4(String m4) {
		this.m4 = m4;
	}

	/** 
	 * null
	 */ 
	@Column
	private String m5;
	public String getM5() {
		return this.m5;
	}
	public void setM5(String m5) {
		this.m5 = m5;
	}

	/** 
	 * null
	 */ 
	@Column
	private String m6;
	public String getM6() {
		return this.m6;
	}
	public void setM6(String m6) {
		this.m6 = m6;
	}

	/** 
	 * 进入系统时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date insert_time;
	public Date getInsert_time() {
		return this.insert_time;
	}
	public void setInsert_time(Date insert_time) {
		this.insert_time = insert_time;
	}

	/** 
	 * 采集点号（可匹配相应电表)
	 */ 
	@Column
	private String pn;
	public String getPn() {
		return this.pn;
	}
	
	public void setPn(String pn) {
		this.pn = pn;
	}
	public String getMeter_no() {
		return meter_no;
	}
	public void setMeter_no(String meter_no) {
		this.meter_no = meter_no;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
